#
# $Id: croncvt.awk 629 1995-05-11 05:05:14Z geoff $
#
# $Log$
# Revision 2.3  1995/05/11 05:05:14  geoff
# Do a better job of supporting asterisks in the field 5 (days-of-week)?
#
# Revision 2.2  86/01/04  16:16:10  geoff
# Add code to correct for the stupid semantics of the day-of-week field in
# standard crontabs.
# 
# Revision 2.1  85/11/02  18:56:36  geoff
# Initial revision.
# 
#
BEGIN	\
	{
	split ("Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec", months);
	split ("Sun Mon Tue Wed Thu Fri Sat Sun", days);
	months["*"] = "*";
	days["*"] = "*";
	}
$1 ~ /#/ \
	{
	print;
	next
	}
NF < 6	\
	{
	print;
	next
	}
	{
	nmonths = split ($4, mfields, ",");
	$4 = ""
	for (i = 1;  i <= nmonths;  i++)
	    {
	    ndash = split (mfields[i], dashes, "-");
	    if (i > 1)
		$4 = $4 ",";
	    if (ndash == 1)
		$4 = $4 months[mfields[i]];
	    else
		$4 = $4 months[dashes[1]] "-" months[dashes[2]];
	    }
	ndays = split ($5, dfields, ",");
	$5 = ""
	for (i = 1;  i <= ndays;  i++)
	    {
	    ndash = split (dfields[i], dashes, "-");
	    if (i > 1)
		$5 = $5 ",";
	    if (dfields[i] != "*")
		{
		if (ndash == 1)
		    $5 = $5 days[dfields[i] + 1];
		else
		    $5 = $5 days[dashes[1] + 1] "-" days[dashes[2] + 1];
		}
	    }
	if ($5 != "")
	    $5 = " " $5;
	if ($4 == "*")
	    $4 = "";
	else
	    $4 = " " $4;
	if ($3 == "*")
	    $3 = "";
	else
	    $3 = " " $3;
	if ($5 != ""  &&  $3 != "")	# Semantics are different here
	    {
	    printf ("-%s%s%s %s:%s", "", $4, $3, $2, $1);
	    for (i = 6;  i <= NF;  i++)
		printf (" %s", $i);
	    printf ("\n");
	    printf ("-%s%s%s %s:%s", $5, $4, "", $2, $1);
	    for (i = 6;  i <= NF;  i++)
		printf (" %s", $i);
	    printf ("\n");
	    }
	else
	    {
	    printf ("-%s%s%s %s:%s", $5, $4, $3, $2, $1);
	    for (i = 6;  i <= NF;  i++)
		printf (" %s", $i);
	    printf ("\n");
	    }
	}
