case $CONFIG in
    '') . ../conf.sh ;;
esac
echo "Extracting bcancel (with variable substitutions)"
$spitshell >bcancel <<!GROK!THIS!
$startsh
export PATH || (echo "OOPS, this isn't sh.  Desperation time.  I will feed myself to sh."; sh \$0; kill \$\$)
#
# Batch Queue Cancel command.
#    bcancel [-q reg_exp] jobid [ jobid ... ]
# This will mess up if you pass an arg that is not a valid
# GLOB pattern, e.g. bcancel "["   -IAN!
#
# $Header$
#
# $Log$
# Revision 1.4  1995/11/27 05:03:58  geoff
# Cosmetic RCS header changes.
#
# Revision 1.3  87/01/10  23:24:32  geoff
# Fix a couple of minor problems found in portability testing.
# 
# Revision 1.2  86/11/29  15:59:33  geoff
# Major changes to change batchcancel into bcancel.SH, thus making it
# configurable.  Also shorten the name to bcancel so it is RCS-able.
# 
# 
PATH=$defpath
export PATH
batchdir=$bspoolexp
date=$date
echo=$echo
sed=$sed
who=$who
find=$find
ls=$ls
awk=$awk
grep=$grep
chmod=$chmod
!GROK!THIS!
cat >>bcancel <<'!NO!SUBS!'
date=`$date`

dirs=*
case "$1" in
-q)
	shift
	case $# in
	0)
		$echo bcancel: queue list missing, default used
		;;
	*)
		dirs=$1
		shift
		;;
	esac
	;;
esac

case "$#" in
0)
	$echo Usage: ${0} "[-q reg_exp]" jobid "[ jobid ... ]"
	exit 1
	;;
esac

whoami=`$who am i | $sed 's/ .*$//'`
case "$whoami" in
root)
	id=$whoami"(${USER:-$LOGNAME})"
	user=""
	;;
*)
	id=$whoami
	user="-user $whoami"
	;;
esac

cd $batchdir
for dir in $dirs ; do
	if test ! -d "$dir"; then
		continue
	fi
	cd $dir
	echo ">>-- $dir queue --<<"
	for jobid
	do
		for file in `$find . $user -name cf'*'"$jobid" -print`
		do
			$ls -l $file \
			  | $awk '{if (NF==8)
			      printf ("%-12s %s %s %s   %s\n", $3, $5, $6, $7,
			        substr ($8, 3))
			    else
			      printf ("%-12s %s %s %s   %s\n", $3, $6, $7, $8,
			        substr ($9, 3))}'
			    $grep 2>/dev/null "JOB CANCELLED" $file || \
			      $sed -e '1,/set home=/d
				/^$/d
				'"s/'//g;s/  */ /g;s/^ */  /;"'
				/IhOpEtHiSiSuNiQuE!/d' \
				2>/dev/null $file ; \
				( $echo ": Use /bin/sh" ; \
				  $echo "echo JOB CANCELLED by $id on $date." \
					) >$file && $chmod ugo+r $file \
					&& $echo "  JOB CANCELLED." )
		done
	done
	cd ..
done
exit 0
!NO!SUBS!
$eunicefix bcancel
chmod 755 bcancel
